wxWidgets: wxIPaddress Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxIPaddress Class Referenceabstract
Class List by Category » Networking

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/socket.h>`

Inheritance diagram for wxIPaddress:
[legend]

## Detailed Description

wxIPaddress is an abstract base class for all internet protocol address objects.

Currently, only wxIPV4address is implemented. An experimental implementation for IPV6, wxIPV6address, is being developed.

##

Library: wxNet

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
bool | AnyAddress ()
| Internally, this is the same as setting the IP address to INADDR_ANY. More...
virtual bool | BroadcastAddress ()=0
| Internally, this is the same as setting the IP address to INADDR_BROADCAST. More...
bool | Hostname (const wxString &hostname)
| Set the address to hostname, which can be a host name or an IP-style address in a format dependent on implementation. More...
wxString | Hostname () const
| Returns the hostname which matches the IP address. More...
virtual wxString | IPAddress () const =0
| Returns a wxString containing the IP address. More...
virtual bool | IsLocalHost () const =0
| Determines if current address is set to localhost. More...
bool | LocalHost ()
| Set address to localhost. More...
bool | Service (const wxString &service)
| Set the port to that corresponding to the specified service. More...
bool | Service (unsigned short service)
| Set the port to that corresponding to the specified service. More...
unsigned short | Service () const
| Returns the current service. More...
Public Member Functions inherited from wxSockAddress
| wxSockAddress ()
| Default constructor. More...
virtual | ~wxSockAddress ()
| Default destructor. More...
virtual void | Clear ()
| Delete all information about the address. More...
int | SockAddrLen ()
| Returns the length of the socket address. More...
const sockaddr * | GetAddressData () const
| Returns the pointer to the low-level representation of the address. More...
int | GetAddressDataLen () const
| Returns the length of the buffer retrieved by GetAddressData(). More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Member Function Documentation

## ◆ AnyAddress()

bool wxIPaddress::AnyAddress | ( |  | ) |

Internally, this is the same as setting the IP address to INADDR_ANY.

On IPV4 implementations, 0.0.0.0

On IPV6 implementations, ::

Returns
  true on success, false if something went wrong.

## ◆ BroadcastAddress()

virtual bool wxIPaddress::BroadcastAddress | ( |  | ) |
| pure virtual

Internally, this is the same as setting the IP address to INADDR_BROADCAST.

On IPV4 implementations, 255.255.255.255

Returns
  true on success, false if something went wrong.

## ◆ Hostname() [1/2]

bool wxIPaddress::Hostname | ( | const wxString & | hostname | ) |

Set the address to hostname, which can be a host name or an IP-style address in a format dependent on implementation.

Returns
  true on success, false if something goes wrong (invalid hostname or invalid IP address).

## ◆ Hostname() [2/2]

wxString wxIPaddress::Hostname | ( |  | ) | const

Returns the hostname which matches the IP address.

## ◆ IPAddress()

virtual wxString wxIPaddress::IPAddress | ( |  | ) | const
| pure virtual

Returns a wxString containing the IP address.

Implemented in wxIPV4address.

## ◆ IsLocalHost()

virtual bool wxIPaddress::IsLocalHost | ( |  | ) | const
| pure virtual

Determines if current address is set to localhost.

Returns
  true if address is localhost, false if internet address.

## ◆ LocalHost()

bool wxIPaddress::LocalHost | ( |  | ) |

Set address to localhost.

On IPV4 implementations, 127.0.0.1

On IPV6 implementations, ::1

Returns
  true on success, false if something went wrong.

## ◆ Service() [1/3]

bool wxIPaddress::Service | ( | const wxString & | service | ) |

Set the port to that corresponding to the specified service.

Returns
  true on success, false if something goes wrong (invalid service).

## ◆ Service() [2/3]

bool wxIPaddress::Service | ( | unsigned short | service | ) |

Set the port to that corresponding to the specified service.

Returns
  true on success, false if something goes wrong (invalid service).

## ◆ Service() [3/3]

unsigned short wxIPaddress::Service | ( |  | ) | const

Returns the current service.